We are transitioning over to a new forum platform. Please post new issues there. Existing threads will be dealt with here unless you choose to move them over. Visit the new forum

Forum

Thread tagged as: Error, MailChimp

Perch Mailchimp extension stopped working after migration

Hi Drew.

I'm migrating a bunch of sites to new servers and environments. The new ones run Nginx with php-fpm 7.2, old ones apache.

Was wondering if you could give a look. Here's theerror from mailchimp module:

Stack trace:
#0 /data/www/domain.gov/perch/addons/apps/perch_mailchimp/lib/vendor/drewm/mailchimp-api/src/MailChimp.php(126): DrewM\MailChimp\MailChimp->makeRequest('get', 'lists', Array, 10)
#1 /data/www/domain.gov/perch/addons/apps/perch_mailchimp/lib/PerchMailChimp_Lists.class.php(23): DrewM\MailChimp\MailChimp->get('lists')
#2 /data/www/domain.gov/perch/addons/apps/perch_mailchimp/modes/lists.pre.php(21): PerchMailChimp_Lists->import()
#3 /data/www/domain.gov/perch/addons/apps/perch_mailchimp/_default_index.php(18): include('/data/www/domain.f...')
#4 /data/www/domain.gov/perch/addons/apps/perch_mailchimp/index.php(5): include('/data/www/domain.f...')
#5 {main}
  thrown in /data/www/domain.gov/perch/addons/apps/perch_mailchimp/lib/vendor/drewm/mailchimp-api/src/MailChimp.php on line 177" while reading response header from upstream, client: 162.158.114.75, server: www.domain.gov, request: "GET /perch/addons/apps/perch_mailchimp/ HTTP/1.1", upstream: "fastcgi://unix:/var/run/php/ph$
Karri Karttunen

Karri Karttunen 0 points

  • 2 years ago
Drew McLellan

Drew McLellan 2638 points
Perch Support

Is curl installed on the new server?

Yep "curl is already the newest version (7.58.0-2ubuntu3.5)."

Drew McLellan

Drew McLellan 2638 points
Perch Support

And the curl PHP extension?

That was it. Needed to specify "php7.2-curl".

Now it's working, thanks Drew.

Happy holidays!

Karri Karttunen said:

Hi Drew.

I'm migrating a bunch of sites to new servers and environments. The new ones run Nginx with php-fpm 7.2, old ones apache.

Was wondering if you could give a look. Here's theerror from mailchimp module:

Stack trace:
#0 /data/www/domain.gov/perch/addons/apps/perch_mailchimp/lib/vendor/drewm/mailchimp-api/src/MailChimp.php(126): DrewM\MailChimp\MailChimp->makeRequest('get', 'lists', Array, 10)
#1 /data/www/domain.gov/perch/addons/apps/perch_mailchimp/lib/PerchMailChimp_Lists.class.php(23): DrewM\MailChimp\MailChimp->get('lists')
#2 /data/www/domain.gov/perch/addons/apps/perch_mailchimp/modes/lists.pre.php(21): PerchMailChimp_Lists->import()
#3 /data/www/domain.gov/perch/addons/apps/perch_mailchimp/_default_index.php(18): include('/data/www/domain.f...')
#4 /data/www/domain.gov/perch/addons/apps/perch_mailchimp/index.php(5): include('/data/www/domain.f...')
#5 {main}
 thrown in /data/www/domain.gov/perch/addons/apps/perch_mailchimp/lib/vendor/drewm/mailchimp-api/src/MailChimp.php on line 177" while reading response header from upstream, client: 162.158.114.75, server: www.domain.gov, request: "GET /perch/addons/apps/perch_mailchimp/ HTTP/1.1", upstream: "fastcgi://unix:/var/run/php/ph$

I am having same problem. Any proper solution ?

Drew McLellan

Drew McLellan 2638 points
Perch Support

Yes, the solution is above.

Hello

Just to be clear I only had Curl installed and you also need to install the proper version of PHP-Curl module.

So ie. for Ubuntu just:

sudo apt-get install php7.2-curl

Then if on Nginx restart php-fpm. Restart Apache if you run that.

service php7.2-fpm restart
// OR
service apache2 restart